Get price controls by SKU - Fabric
Get price controls by SKU
cURL
curl --request GET \
--url 'https://api.fabric.inc/v3/price-controls/sku/{sku}?size=10' \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
Python
import requests
url = "https://api.fabric.inc/v3/price-controls/sku/{sku}?size=10"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'GET',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/price-controls/sku/{sku}?size=10', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/price-controls/sku/{sku}?size=10",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/price-controls/sku/{sku}?size=10"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://api.fabric.inc/v3/price-controls/sku/{sku}?size=10")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/price-controls/sku/{sku}?size=10")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
HTTP Status Codes
- 200: OK
- 400: Bad Request
- 401: Unauthorized
- 404: Not Found
- 500: Internal Server Error
Sample Response
{
"priceListId": 100000,
"itemSku": "SKU0123456",
"isDeleted": false,
"createdAt": "2019-08-20T14:15:22.000Z",
"updatedAt": "2019-08-20T14:15:22.000Z",
"itemId": 10000001,
"msrp": 299,
"map": 199.99,
"floor": 149,
"ceiling": 149,
"channelId": "12"
}
Error Response Examples
{
"type": "TENANT_HEADER_REQUIRED",
"message": "x-fabric-tenant-id header is required"
}
{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}
{
"type": "PRICECONTROLS_ITEMID_PRICELISTID_NOT_FOUND",
"message": "Price controls not found"
}
{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}
Authorizations
- Authorization: Bearer authentication header of the form
Bearer <token>.
- x-fabric-tenant-id: A header used by fabric to identify the tenant making the request; required to access the API.
- path parameters:
sku (string, required) - Product SKU to get price controls for.
- query parameters:
size (integer, default:10) - Maximum number of records per page.